package sgc.portal.cw.cw0804.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0804.dto.CW08040001PSearch;
import sgc.portal.cw.cw0804.model.CW08040001P;
import sgc.portal.cw.cw0804.persistence.CW08040001PMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW08040001PService {
    private final CW08040001PMapper mapper;

    public CW08040001PService(CW08040001PMapper mapper) {
        this.mapper = mapper;
    }
    
    public EasyHashMap<String, Object> getSelectRemInfo(CW08040001PSearch search) {
        return mapper.getSelectRemInfo(search);
    }

    @Transactional
    public Map<String, String> save(CW08040001P CW08040001P) {
    	
    	Map<String,String> result = new HashMap<>();
    	update(CW08040001P);
        return result;
    }

    private void update(CW08040001P cW08040001P) {
        mapper.update(cW08040001P);
    }
}
